package org.windoop;

import java.io.*;
import java.security.*;

public class ProjectTools {
   public static String getMD5Checksum(byte[] bytes) throws Exception {
	   InputStream is =  new ByteArrayInputStream(bytes);
	   byte[] buffer = new byte[1024];
       MessageDigest md5 = MessageDigest.getInstance("MD5");
       int numRead;
       do {
           numRead = is.read(buffer);
           if (numRead > 0) {
               md5.update(buffer, 0, numRead);
           }
       } while (numRead != -1);

       is.close();
       byte[] b = md5.digest();	       
       String result = "";
       for (int i=0; i < b.length; i++) {
           result += Integer.toString( ( b[i] & 0xff ) + 0x100, 16).substring( 1 );
       }
       return result;
   }
}
